Subject: bug#55811: 29.0.50; No flymake diagnostics for no-byte-compile files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Jun 2022 22:33:19 +0200

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I think `no-byte-compile` only means that we should load the `.el` file
> and not generate a `.elc` file and it shouldn't mean that we should
> refrain from asking the byte-compiler what is its opinion about the
> quality of this code.

I stumbled onto a related thing earlier tonight -- I said `M-x
byte-compile-file RET RET' and then it did nothing -- because of the
no-byte-compile.

I'm not sure whether I agree with that -- if I've explicitly asked Emacs
to do it, I think that should override the cookie.  Or at least issue a
message of some sort.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no